explain_popen_or_die(3)

NAME
explain_popen_or_die - process I/O and report errors
    "process I/O and report errors"

SYNOPSIS
#include <libexplain/popen.h>

FILE *explain_popen_or_die(const char *command, const char *flags);

DESCRIPTION
The explain_popen_or_die function is used to call the popen(3) system call. On failure an explanation will be printed to stderr, obtained from explain_popen(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    FILE *fp = explain_popen_or_die(command, flags);

command
    The command, exactly as to be passed to the popen(3) system call.

flags
    The flags, exactly as to be passed to the popen(3) system call.

Returns:
    This function only returns on success, see popen(3) for more information. On failure, prints an explanation and exits.

SEE ALSO

popen(3)
    process I/O

explain_popen(3)
    explain popen(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2009 Peter Miller